{ pkgs, ... }:
{
  programs.zsh = {
    enable = true;
    autosuggestion.enable = true;
    syntaxHighlighting.enable = true;
    oh-my-zsh = {
      enable = true;
      theme = "agnoster";
      plugins = [
        "git"
        "history"
      ];
    };
    history = {
      append = true;
      ignoreAllDups = true;
      ignoreSpace = true;
    };
    initExtra = ''
      pfetch
      source ${pkgs.zsh-you-should-use}/share/zsh/plugins/you-should-use/you-should-use.plugin.zsh
      setopt RM_STAR_WAIT
    '';
  };
}
